// *************************************************************************************************
// 
// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
//
// *************************************************************************************************

#include "main.h"

// Wakeup interrupt
interrupt (0x0000) wakeup IntService_1(void)
{
  #if DEBUG == 1
    int   loop;
    _DINT();
    for(loop=1;loop>0;loop--)     // send a number of pulses to identify interrupt
      {
      pulse();
      }
    _EINT();
  #endif
}

// I/O-Port P2 interrupt
interrupt (PORT2_VECTOR) IntService_2(void)
{
  #if DEBUG == 1
    int   loop;
    _DINT();
    for(loop=2;loop>0;loop--)     // send a number of pulses to identify interrupt
      {
      pulse();
      }
    _EINT();
  #endif
}

// USART1 transmit interrupt
interrupt (UART1TX_VECTOR) IntService_3(void)
{
  #if DEBUG == 1
    int   loop;
    _DINT();
    for(loop=3;loop>0;loop--)     // send a number of pulses to identify interrupt
      {
      pulse();
      }
    _EINT();
  #endif
}

// USART1 receive interrupt
interrupt (UART1RX_VECTOR) IntService_4(void)
{
  #if DEBUG == 1
    int   loop;
    _DINT();
    for(loop=4;loop>0;loop--)     // send a number of pulses to identify interrupt
      {
      pulse();
      }
    _EINT();
  #endif
}

// I/O-Port P1 interrupt
interrupt (PORT1_VECTOR) IntService_5(void)
{
  #if DEBUG == 1
    int   loop;
      _DINT();
    for(loop=5;loop>0;loop--)     // send a number of pulses to identify interrupt
      {
      pulse();
      }
    _EINT();
  #endif
}

// Timer_A1 interrupt
interrupt (TIMERA1_VECTOR) IntService_6(void)
{
  #if DEBUG == 1
    int   loop;
    _DINT();
    for(loop=6;loop>0;loop--)     // send a number of pulses to identify interrupt
      {
      pulse();
      }
    _EINT();
  #endif
}

// Timer_A0 interrupt
interrupt (TIMERA0_VECTOR) IntService_7(void)
{
  #if DEBUG == 1
    int   loop;
    _DINT();
    for(loop=7;loop>0;loop--)     // send a number of pulses to identify interrupt
      {
      pulse();
      }
    _EINT();
  #endif
}

// ADC interrupt
interrupt (ADC_VECTOR) IntService_8(void)
{
  #if DEBUG == 1
    int   loop;
    _DINT();
    for(loop=8;loop>0;loop--)     // send a number of pulses to identify interrupt
      {
      pulse();
      }
    _EINT();
  #endif
}

// USART0 transmit interrupt
interrupt (UART0TX_VECTOR) IntService_9(void)
{
  #if DEBUG == 1
    int   loop;
    _DINT();
    for(loop=9;loop>0;loop--)   // send a number of pulses to identify interrupt
      {
      pulse();
      }
    _EINT();
  #endif
}

// USART0 receive interrupt
interrupt (UART0RX_VECTOR) IntService_10(void)
{
  #if DEBUG == 1
    int   loop;
    _DINT();
    for(loop=10;loop>0;loop--)    // send a number of pulses to identify interrupt
      {
      pulse();
      }
    _EINT();
  #endif
}

// Watchdog timer interrupt
interrupt (WDT_VECTOR) IntService_11(void)
{
  #if DEBUG == 1
    int   loop;
    _DINT();
    for(loop=11;loop>0;loop--)    // send a number of pulses to identify interrupt
      {
      pulse();
      }
    _EINT();
  #endif
  
}

// Comparator_A interrupt
interrupt (COMPARATORA_VECTOR) IntService_12(void)
{
  #if DEBUG == 1
    int   loop;
    _DINT();
    for(loop=12;loop>0;loop--)    // send a number of pulses to identify interrupt
      {
      pulse();
      }
    _EINT();
  #endif
}

// Timer_B1 interrupt
interrupt (TIMERB1_VECTOR) IntService_13(void)
{
  #if DEBUG == 1
    int   loop;
    _DINT();
    for(loop=13;loop>0;loop--)    // send a number of pulses to identify interrupt
      {
      pulse();
      }
    _EINT();
  #endif
}

// Timer_B1 interrupt
interrupt (TIMERB0_VECTOR) IntService_14(void)
{
  #if DEBUG == 1
    int   loop;
    _DINT();
    for(loop=14;loop>0;loop--)    // send a number of pulses to identify interrupt
      {
      pulse();
      }
    _EINT();
  #endif
}

// NMI, Oscillator fault and FLASH Error interrupt
interrupt (NMI_VECTOR) IntService_15(void)
{
  #if DEBUG == 1
    int   loop;
    _DINT();
    for(loop=15;loop>0;loop--)    // send a number of pulses to identify interrupt
      {
      pulse();
      }
    _EINT();
  #endif
}
