// *************************************************************************************************
//  Target: MSP430F149
//  Clock:  32,768 kHz
// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
//
// *************************************************************************************************

#include "main.h"

// -------------------------------------------------------------------------------------------------
// Declare constants and global values
// -------------------------------------------------------------------------------------------------



// -------------------------------------------------------------------------------------------------
// System setup
// -------------------------------------------------------------------------------------------------

int main(void)
{
// Disable all Interrupts
_DINT();

// Port setup
// P1.x
P1DIR = 0x03;                     // Port 1.0 & 1.1 as output
P1OUT = 0x03;                     // set bit 0 & 1 in port 1

// P2.x
P2DIR = 0x00;                     // Port 2 as input

// P3.x
P3DIR = 0x00;                     // Port 3.0 - 3.3 as output

// P4.x
P4DIR = 0x00;                     // Port 4 as input

// P5.x
P5DIR = 0x00;                     // Port 5 as input

// P6.x
P6DIR = 0x00;                     // Port 6 as input


// Clock & Watchdog setup
#if DEBUG == 0                    // Enable Watchdog if DEBUG == 0
IFG1 = 0;                         //
WDTCTL = WDTPW + WDTHOLD;         // Stop Watchdog
WDTCTL = WDT_ADLY_250;            // Start Watchdog (250ms interval interrupt-mode)
IFG1 &= ~WDTIFG;                  // Clear pending WDT interrupts
IE1 |= WDTIE;                     // Enable WDT interrupt
#endif

// Timer_A setup



// Timer_B setup



// RS232 setup



// SPI setup



// A/D-Converter setup



// Enable Interrupt
_EINT();


// -------------------------------------------------------------------------------------------------
// Mainloop
// -------------------------------------------------------------------------------------------------

while(1)                          // infinite loop to place your program
  {
#if DEBUG == 0                    // Disable Watchdog if DEBUG == 1
  WDTCTL = WDTPW + WDTCNTCL;      // clear watchdog
#endif

  P1OUT &= 0x01;                  // clear port 1.1 to generat a heartbeat
  delay(300 * ms);
  P1OUT |= 0x02;                  // set port 1.1
  delay(300 * ms);
  LPM4;
  }
}
